PLSCMAP1LA(3)

NAME
plscmap1la - Set cmap1 colors and alpha transparency using a piece-wise linear relationship

SYNOPSIS
plscmap1la(itype, npts, intensity, coord1, coord2, coord3, alpha, alt_hue_path)

DESCRIPTION

This is a variant of plscmap1l(3) that supports alpha channel transparency. It sets cmap1 colors using a piece-wise linear relationship between cmap1 intensity index (0.0-1.0) and position in HLS or RGB color space (see the PLplot documentation) with alpha transparency value (0.0-1.0). It may be called at any time.

Redacted form: plscmap1la(itype, intensity, coord1, coord2, coord3, alpha, alt_hue_path)

This function is used in example 30.

ARGUMENTS

itype (PLBOOL(3), input)
    true: RGB, false: HLS.

npts (PLINT(3), input)
    number of control points.

intensity (PLFLT_VECTOR(3), input)
    A vector containing the cmap1 intensity index (0.0-1.0) in ascending order for each control point.

coord1 (PLFLT_VECTOR(3), input)
    A vector containing the first coordinate (H or R) for each control point.

coord2 (PLFLT_VECTOR(3), input)
    A vector containing the second coordinate (L or G) for each control point.

coord3 (PLFLT_VECTOR(3), input)
    A vector containing the third coordinate (S or B) for each control point.

alpha (PLFLT_VECTOR(3), input)
    A vector containing the alpha transparency value (0.0-1.0) for each control point.

alt_hue_path (PLBOOL_VECTOR(3), input)
    A vector (with npts - 1 elements) containing the alternative interpolation method Boolean value for each control point interval. (alt_hue_path[i] refers to the interpolation interval between the i and i + 1 control points).

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.